> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile

> Update user profile.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json put /auth/profile
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /auth/profile:
    put:
      tags:
        - authentication
      summary: Update User Profile
      description: Update user profile.
      operationId: update_user_profile_auth_profile_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserProfileUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserProfileUpdate:
      properties:
        username:
          anyOf:
            - type: string
              maxLength: 50
              minLength: 3
            - type: 'null'
          title: Username
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
        full_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Full Name
      type: object
      title: UserProfileUpdate
      description: User profile update model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````